# Kernel Entropy Component Analysis in Python

This is a Python implementation of Kernel Entropy Component Analysis (KECA), compatible with scikit-learn.

[![version status](http://img.shields.io/pypi/v/kernel_eca.svg?style=flat)](https://pypi.python.org/pypi/kernel_eca)
[![downloads](http://img.shields.io/pypi/dm/kernel_eca.svg?style=flat)](https://pypi.python.org/pypi/kernel_eca)
[![build status](http://img.shields.io/travis/tsterbak/kernel_eca/master.svg?style=flat)](https://travis-ci.org/tsterbak/kernel_eca)
[![license](http://img.shields.io/badge/license-BSD-blue.svg?style=flat)](https://github.com/tsterbak/kernel_eca/blob/master/LICENSE)

## Installation and Use

This package is pure Python, and depends only on [numpy](http://numpy.org/), [scipy](http://scipy.org/), and [scikit-learn](http://scikit-learn.org/).
The released version can be installed via pip:

    $ pip install kernel_eca

A basic example of its use can be found in [Example.ipynb](Example.ipynb).

## Requirements
```
    numpy >= 1.10.1
    sklearn >= 0.16.1
    scipy >= 0.15.1
```
